/* Store initialization */
export const SET_APP_READY = 'SET_APP_READY';
export const SET_LOADING = 'SET_LOADING';
export const SET_UNLOCKED_VIEW = 'SET_UNLOCKED_VIEW';

/* Config */
export const SET_CONFIG_PROPERTY = 'SET_CONFIG_PROPERTY';
export const SET_CONFIG_PROPERTY_WITH_TARGET = 'SET_CONFIG_PROPERTY_WITH_TARGET';
export const SET_INVERTED_HEADER = 'SET_INVERTED_HEADER';

/* Gigya */
export const SET_GIGYA_INIT_DATA = 'SET_GIGYA_INIT_DATA';
export const SET_GIGYA_GO_TO = 'SET_GIGYA_GO_TO';
export const SET_GIGYA_LOADED = 'SET_GIGYA_LOADED';
export const SET_GIGYA_USER = 'SET_GIGYA_USER';

/* Contact */
export const SET_CURRENT_STEP = 'SET_CURRENT_STEP';
export const SET_FORM_DATA = 'SET_FORM_DATA';
export const SET_HOME_VISITED = 'SET_HOME_VISITED';
export const SET_MIN_HEIGHT = 'SET_MIN_HEIGHT';
export const SET_SELECTS_API = 'SET_SELECTS_API';
export const SET_HOME_INFO = 'SET_HOME_INFO';
export const SET_CONTENT_DATA = 'SET_CONTENT_DATA';

/* Recipes */
export const UPDATE_PAGINATION = 'UPDATE_PAGINATION';
export const ADD_PAGE = 'ADD_PAGE';
export const RESET_PAGES = 'RESET_PAGES';
export const SET_DETAIL = 'SET_DETAIL';
export const SET_API_URL = 'SET_API_URL';
export const SET_SELECTED_MEAL = 'SET_SELECTED_MEAL';
export const SET_SELECTED_MOOD = 'SET_SELECTED_MOOD';

/* Contest Plant a Tree */
export const SET_CONTEST_PLANT_A_TREE_INIT_DATA = 'SET_CONTEST_PLANT_A_TREE_INIT_DATA';
export const SET_CONTEST_PLANT_A_TREE_CONTENT_DATA = 'SET_CONTEST_PLANT_A_TREE_CONTENT_DATA';
